package com.miaxis.app.controller.email;

import com.miaxis.common.annotation.Log;
import com.miaxis.common.constant.Constants;
import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.domain.Response;
import com.miaxis.common.core.page.ResponsePageInfo;
import com.miaxis.common.enums.BusinessTypeEnum;
import com.miaxis.common.utils.SecurityUtils;
import com.miaxis.email.service.IEmailService;
import com.miaxis.score.domain.ScoreInfo;
import com.miaxis.score.dto.ScoreInfoAllDTO;
import com.miaxis.score.dto.ScoreInfoDTO;
import com.miaxis.score.service.IScoreInfoService;
import io.swagger.annotations.*;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.List;

/**
 * 【模拟考成绩】Controller
 *
 * @author miaxis
 * @date 2021-08-23
 */
@RestController
@RequestMapping(Constants.STUDENT_PREFIX+"/email/info")
@Api(tags={"【app-发送邮件】"})
public class EmailController extends BaseController{
    @Autowired
    private IEmailService emailService;


    /**
     * 新增模拟考成绩
     */
    @PostMapping
    @ApiOperation("新增邮件")
    public Response add(String address) throws Exception {

        emailService.sendEmail(address);

        return Response.success();
    }

}
