package com.miaxis.email.service.impl;

import com.miaxis.email.service.IEmailService;
import com.miaxis.system.service.ISysConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.mail.javamail.MimeMessageHelper;
import org.springframework.stereotype.Service;

import javax.mail.MessagingException;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import java.util.Date;


@Service
public class EmailServiceImpl implements IEmailService {

    @Autowired
    JavaMailSender javaMailSender;
    @Autowired
    private ISysConfigService configService;
    @Override
    public void sendEmail(String address) throws Exception{
        MimeMessage mailMessage=javaMailSender.createMimeMessage();
        //需要借助Helper类
        MimeMessageHelper helper=new MimeMessageHelper(mailMessage);
        String context=configService.selectConfigByKey("email_content");;
        helper.setFrom("miaxis2022@163.com");
        helper.setTo(address);
        //helper.setBcc("密送人");
        helper.setSubject("【速达驾考】资料下载");
        helper.setSentDate(new Date());//发送时间
        helper.setText(context,true);
        //第一个参数要发送的内容，第二个参数是不是Html格式。
        javaMailSender.send(mailMessage);
    }
}
